Skip to content
Dashboard
Theme
Theme

Check up to 100 permissions

POST /v1/authorization/check/bulk: Check up to 100 permissions.

View Markdown

POST /v1/authorization/check/bulk

Scope
authorization:read
Auth
Secret key (sk_…)
Since
1.0
  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

  • checks array of AuthorizationCheck Required

    min items 1 · max items 100

Errors share one shape; see the error code catalogue.

curl -X POST \
"https://api.ohauthcat.com/v1/authorization/check/bulk" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"checks": [
{
"membership": "om_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"user": "usr_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"organization": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"permission": "organizations:read",
"resource": {
"type": "default",
"id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}
}
]
}'
Response 200
{
"object": "list",
"data": [
{
"object": "authorization_decision",
"authorized": true,
"membership": "om_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}
]
}